Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 84821 - Installer intended to delete 3rd party sw on upgrade
Summary: Installer intended to delete 3rd party sw on upgrade
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: installer
Version: 8.0
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-02-21 18:35 UTC by Steve Friedman
Modified: 2007-04-18 16:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-06-18 20:47:25 UTC


Attachments (Terms of Use)
Output of rpm -q queries for the four rpms. (deleted)
2003-03-25 16:21 UTC, Steve Friedman
no flags Details

Description Steve Friedman 2003-02-21 18:35:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.1) Gecko/20020829

Description of problem:
On an upgrade, the installer should not touch any RPMs that it doesn't recognize
or that are later than the ones on the CD. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install RH8.0 from the CD-ROMS.
2.Install some 3rd party RPMs and/or upgrade some RPMs
3.Realizing that I needed some additional RPMs from the CDs, I placed install
CD#1of3 into the drive.
    

Actual Results:  The system automatically brought up a dialog box that led me
through the list of packages to install.  After making my selection, a summary
screen was displayed showing the list of new RPMs to add and the RPMs that it
intended to delete.  Amongst those RPMs were the ones that I added

Expected Results:  The 3rd party RPMs should not be deleted.

Additional info:

Comment 1 Michael Lee Yohe 2003-02-21 18:52:59 UTC
The reason the installer said that it needed to remove those RPMs is that they
probably conflict with the RPMs that are necessary to be installed so that Red
Hat packages work properly.  Which RPMs did you install that Anaconda wished to
remove before proceeding?

Comment 2 Steve Friedman 2003-02-23 20:16:32 UTC
There were four packages indicated for deletion.  Of these, one was an upgrade 
to expect and we wrote the other 3.  Two of the three that we wrote had *no* 
interaction with any other file on the system and I am not certain of the 
remaining RPM.

Comment 3 Jeremy Katz 2003-03-24 17:24:36 UTC
Could you provide the output of rpm -q, rpm -qR, and rpm -q --provides for each
of these packages?

Comment 4 Steve Friedman 2003-03-25 16:21:18 UTC
Created attachment 90713 [details]
Output of rpm -q queries for the four rpms.

Comment 5 Jeremy Katz 2003-04-23 02:11:37 UTC
Ermm... in this format, I can't tell what lines go with which commands :)  Could
you split it up and make it obvious which goes with which?

Comment 6 Michael Fulbright 2003-06-18 20:47:25 UTC
Closing due to inactivity - please reopen if you have additional information to add.


Note You need to log in before you can comment on or make changes to this bug.